Bug 57173 - kdemultimedia-2.2.2-1. Rebuild problem
kdemultimedia-2.2.2-1. Rebuild problem
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: kdemultimedia (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-06 07:49 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 07:49:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-06 07:49:33 EST
I am trying to rebuild all the packages from KDE 2.2.2 and I have a
problem with kdemultimedia-2.2.2-1.

When I type rpm --rebuild kdemultimedia-2.2.2-1.src.rpm it ends up with
the following error:

Making all in arts
make[3]: Entering directory
`/usr/src/redhat/BUILD/kdemultimedia-2.2.2/brahms-1.01/brahms/arts'
/bin/sh ../../libtool --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H -I.
-I. -I../.. -I/usr/include/kde -I/usr/lib/qt-2.3.1/include
-I/usr/X11R6/include  -I/usr/include/kde/arts -I../../libltdl     -O2
-O2 -march=i386 -mcpu=i686 -DNDEBUG -fno-check-new -fno-exceptions
-fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT -DQT_NO_ASCII_CAST 
-c BrahmsMidiRecorder.cpp
mkdir .libs
c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include/kde
-I/usr/lib/qt-2.3.1/include -I/usr/X11R6/include -I/usr/include/kde/arts
-I../../libltdl -O2 -O2 -march=i386 -mcpu=i686 -DNDEBUG -fno-check-new
-fno-exceptions -fno-check-new -DQT_CLEAN_NAMESPACE -DQT_NO_COMPAT
-DQT_NO_ASCII_CAST -Wp,-MD,.deps/BrahmsMidiRecorder.pp -c
BrahmsMidiRecorder.cpp  -fPIC -DPIC -o .libs/BrahmsMidiRecorder.o
In file included from BrahmsMidiRecorder.cpp:4:
BrahmsArts.h:9:22: artsmidi.h: No such file or directory
make[3]: *** [BrahmsMidiRecorder.lo] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/kdemultimedia-2.2.2/brahms-1.01/brahms/arts'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/usr/src/redhat/BUILD/kdemultimedia-2.2.2/brahms-1.01/brahms'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/usr/src/redhat/BUILD/kdemultimedia-2.2.2/brahms-1.01'
make: *** [all-recursive-am] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.95153 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.95153 (%build)


Then when I try to locate the file artsmidi.h I obtain the following:

[root@brest bin]# updatedb
[root@brest bin]# locate artsmidi.h
/usr/src/redhat/BUILD/kdemultimedia-2.2.2/arts/midi/artsmidi.h

Typically the "eggs and chicken" dilemna...


                        Daniel
Comment 1 Bernhard Rosenkraenzer 2002-01-22 16:25:08 EST
Fixed in 2.2.2-2

Note You need to log in before you can comment on or make changes to this bug.